package JOptionPane;
import javax.swing.JOptionPane;

public class Dialogos {
	
	public static void main(String args[]) {  
		int continua;
		do {
         String resposta;
	     resposta = JOptionPane.showInputDialog(null, "Qual o seu nome?",
			"Nome...",JOptionPane.QUESTION_MESSAGE);
	  
	     JOptionPane.showMessageDialog(null,"Olá, "+resposta);
	    continua=JOptionPane.showConfirmDialog(null,
	    		 "Deseja executar novamente?","Pergunta",
	    		JOptionPane.YES_NO_OPTION,JOptionPane.WARNING_MESSAGE);

	   
	    } while(continua==JOptionPane.YES_OPTION);
	}
}
